[arch-commits] Commit in ristretto/repos (3 files)

Jan de Groot jgc at archlinux.org
Fri May 8 17:18:41 EDT 2009


    Date: Friday, May 8, 2009 @ 17:18:40
  Author: jgc
Revision: 38523

Merged revisions 38521 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/ristretto/trunk

........
  r38521 | jgc | 2009-05-08 21:18:24 +0000 (Fri, 08 May 2009) | 2 lines
  
  upgpkg: ristretto 0.0.21-2
      Clean up dependencies, add desktop-file-utils and hicolor-icon-theme dependencies
........

Modified:
  ristretto/repos/extra-x86_64/	(properties)
  ristretto/repos/extra-x86_64/PKGBUILD
  ristretto/repos/extra-x86_64/ristretto.install

-------------------+
 PKGBUILD          |    7 +++----
 ristretto.install |    5 -----
 2 files changed, 3 insertions(+), 9 deletions(-)


Property changes on: ristretto/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /ristretto/trunk:1-19578
   + /ristretto/trunk:1-38521

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-05-08 21:18:38 UTC (rev 38522)
+++ extra-x86_64/PKGBUILD	2009-05-08 21:18:40 UTC (rev 38523)
@@ -3,13 +3,12 @@
 
 pkgname=ristretto
 pkgver=0.0.21
-pkgrel=1
+pkgrel=2
 pkgdesc="Ristretto is a image viewer for Xfce"
 arch=('i686' 'x86_64')
 url="http://goodies.xfce.org/projects/applications/ristretto"
 license=('GPL2')
-depends=('libjpeg' 'librsvg' 'libpng' \
-         'libxfcegui4' 'thunar')
+depends=('libxfcegui4' 'thunar' 'desktop-file-utils' 'hicolor-icon-theme')
 makedepends=('intltool' 'pkgconfig')
 options=('!libtool')
 groups=('xfce4-goodies')
@@ -19,7 +18,7 @@
 
 build() {
   cd ${srcdir}/$pkgname-$pkgver
-  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --disable-static
+  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --disable-static || return 1
   make || return 1
   make DESTDIR=${pkgdir} install || return 1
 }

Modified: extra-x86_64/ristretto.install
===================================================================
--- extra-x86_64/ristretto.install	2009-05-08 21:18:38 UTC (rev 38522)
+++ extra-x86_64/ristretto.install	2009-05-08 21:18:40 UTC (rev 38523)
@@ -11,8 +11,3 @@
   update-desktop-database -q
   gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
 }
-
-op=$1
-shift
-
-$op $*



More information about the arch-commits mailing list